Last Comment Bug 205463 - Tokens aren't canceled after a successful login
: Tokens aren't canceled after a successful login
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Bugzilla-General (show other bugs)
: unspecified
: All All
: P1 blocker (vote)
: Bugzilla 2.18
Assigned To: Randall M! Gee
: default-qa
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 23:24 PDT by Randall M! Gee
Modified: 2012-12-18 20:46 PST (History)
0 users
justdave: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Cancel tokens after login (1.19 KB, patch)
2003-05-12 23:26 PDT, Randall M! Gee
bbaetz: review+
Details | Diff | Splinter Review

Description Randall M! Gee 2003-05-12 23:24:13 PDT
User-Agent:       Opera/6.1 (Linux 2.4.7-10 i686; U)  [en]
Build Identifier: 

Users can request a token to change their password.  Outstanding tokens are
supposed to be cancelled once the user successfully logs in.  In the CVS Bugzilla,
this doesn't happen -- the tokens remain active.

Reproducible: Always

Steps to Reproduce:
Comment 1 Randall M! Gee 2003-05-12 23:26:05 PDT
Created attachment 123108 [details] [diff] [review]
Cancel tokens after login

This patch corrects some function calls, so that tokens are cancelled after
logins.
Comment 2 Bradley Baetz (:bbaetz) 2003-06-06 19:58:57 PDT
oops. This was my change.
Comment 3 Bradley Baetz (:bbaetz) 2003-06-06 20:03:29 PDT
-> patch author.

justdave, a=?
Comment 4 Bradley Baetz (:bbaetz) 2003-06-06 20:36:56 PDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.